if [ -d ext/virtualenv-python ] ; then
    cd ext/virtualenv-python

    if [ -f linux/virtualenv-python3/bin/activate ] ; then
	echo "Activating Python3 VirtualEnv "
	. ./linux/virtualenv-python3/bin/activate
    else
	echo "Failed to find: linux/virtualenv-python3/bin/activate"	
	echo "=> Python3 VirtualEnv not activated"
    fi

    cd ../..
else
    echo "Warning: No such directory:  ext/virtualenv-python" >&2
    echo "=> Python VirtualEnv Extention not available" >&2
fi


if [ -d ext/selfcontained-nodejs ] ; then
    cd ext/selfcontained-nodejs

    if [ -f setup.bash ] ; then
	echo "Activating Self-contained NodeJS"
	. ./setup.bash
    else
	echo "Warning: Failed to find: ext/selfcontained-nodejs/setup.bash" >&2
	echo "=> Self-contained NodeJS not available" >&2
    fi

    cd ../..
else
    echo "Warning: No such directory:  ext/selfcontained-nodejs" >&2
    echo "=> Self-contained NodeJS not available" >&2
fi

if [ -d nodejs-server ] ; then
    . ./nodejs-server/bibstinky-setup.bash
else
    echo "Warning: Failed to find:" >&2
    echo "    ./nodejs-server/bibstinky-setup.bash" >&2
    echo "=> Unable to run the Bib-Stinky web server" >&2
fi


